   /*-----------------------------------------------------------.   
  /                      Choose effects                         /
  '-----------------------------------------------------------*/
#define USE_SMAA_ANTIALIASING 1
#define USE_LUMASHARPEN 0 //Also sharpens the antialiased edges which makes them less smooth - I'm working on fixing that.
#define USE_BLOOM 0     // Bloom makes bright lights bleed their light into their surroundings
#define USE_HDR 0       // Not actual HDR - It just tries to mimic an HDR look
#define USE_TECHNICOLOR 0
#define USE_TONEMAP 0
#define USE_VIBRANCE 0 //Work in progress
#define USE_SEPIA 0
#define USE_VIGNETTE 0 //Darkens the edges of the image to make it more look like it was shoot with a camera lens


   /*-----------------------------------------------------------.   
  /                  SMAA Anti-aliasing settings                /
  '-----------------------------------------------------------*/

#define SMAA_THRESHOLD 0.12             // (0.08-0.20)Edge detection threshold
#define SMAA_MAX_SEARCH_STEPS 16       // Determines the radius SMAA will search for aliased edges
#define SMAA_MAX_SEARCH_STEPS_DIAG 6  // Determines the radius SMAA will search for diagonal aliased edges
#define SMAA_CORNER_ROUNDING 20      // [0-100] Determines the percent of antialiasing to apply to corners.

// -- Advanced SMAA settings --
#define COLOR_EDGE_DETECTION 1         // 1 Enables color edge detection - 0 uses luma edge detection
#define SMAA_DIRECTX9_LINEAR_BLEND 0  // Using DX9 HARDWARE? (software version doesn't matter) if so this needs to be 1 - If not, leave it at 0.


   /*-----------------------------------------------------------.   
  /                       LumaSharpen settings                  /
  '-----------------------------------------------------------*/
// -- Sharpening --
#define sharp_strength 1.8 // Strength of the sharpening - You should probably use something between 0.2 and 2.0 - default is 1.0
#define sharp_clamp 0.030  // Limits maximum amount of sharpening a pixel recieves - Default is 0.050

// -- Advanced sharpening settings --
#define pattern 4          // Choose a sample pattern ( 1, 2, 3 or 4 ) - I suggest 2
#define offset_bias 1.0    // Offset bias adjusts the radius of the sampling pattern.
                           // I designed the pattern for offset_bias 1.0, but feel free to experiment.
                           
// -- Debug settings --
#define splitscreen 0      // Enables the before-and-after splitscreen comparison mode. Left side is before.
#define show_sharpen 0     // Visualize the strength of the sharpen (multiplied by 4 to see it better)


   /*-----------------------------------------------------------.   
  /                       Bloom settings                        /
  '-----------------------------------------------------------*/
#define BloomThreshold 0.25
#define BloomPower 0.5
#define BloomWidth 50.0

   /*-----------------------------------------------------------.   
  /                        HDR settings                         /
  '-----------------------------------------------------------*/
#define HDRPower 1.40  //Strangely lowering this makes the image brighter
#define radius2 0.95 //Raising this seems to make the effect stronger and also brighter


   /*-----------------------------------------------------------.   
  /                      TECHNICOLOR settings                   /
  '-----------------------------------------------------------*/
#define TechniAmount 0.11
#define TechniPower 2.8
#define redNegativeAmount 0.88
#define greenNegativeAmount 0.88
#define blueNegativeAmount 0.88


   /*-----------------------------------------------------------.   
  /                        Tonemap settings                     /
  '-----------------------------------------------------------*/
#define Gamma 1.0
#define Exposure -0.1
#define Saturation 0
#define Bleach 0
#define Defog 0.01
#define FogColor float4(2.55, 2.55, 0, 0)

   /*-----------------------------------------------------------.   
  /                       Vibrance settings                     /
  '-----------------------------------------------------------*/
#define Vibrance_strength 1.8 // This shader is still a work in progress.


   /*-----------------------------------------------------------.   
  /                         Sepia settings                      /
  '-----------------------------------------------------------*/
#define ColorTone float3(1.12, 0.66, 0.20)
#define SepiaPower 0.11
#define GreyPower 0.88


   /*-----------------------------------------------------------.   
  /                       Vignette settings                     /
  '-----------------------------------------------------------*/
#define VignetteRadius 1.25    // lower values = stronger radial effect from center
#define VignetteAmount -1.00  // Strength of black. -2.00 = Max Black, 1.00 = Max White.
#define VignetteSlope 7      // How far away from the center the change should start to really grow strong
#define VignetteCenter float2(0.500, 0.500) // Center of screen for effect.

